replicas: 2

image:
  name: tools-harbor.wmcloud.org/toolforge/envvars-api
  tag: OVERWRITTEN_BY_CI
  pullPolicy: IfNotPresent

resources:
  limits:
    memory: 50Mi
    cpu: 300m
  requests:
    memory: 50Mi
    cpu: 300m

api:
  failurePolicy: Fail

nginx:
  image:
    repository: docker-registry.tools.wmflabs.org/nginx
    nginxTag: latest
    pullpolicy: Always

certificates:
  internalClusterDomain: "cluster.local"
  apiGatewayCa:
    name: api-gateway-backend-ca
    kind: ClusterIssuer
    group: cert-manager.io

config:
  debug: false
  port: 8000
